<?php

namespace Core\App\Entity;

class Settings
{
    public $auth_api_key;
    public $auth_username;
    public $auth_password;
    public $auth_fiscal_code;

    public $option_auto_stock_sync;
    public $option_auto_order_sync;
    public $option_stock_filter;
    public $option_order_or_proforma;
    public $option_proforma_serie;
    public $option_ordered_days_ago;
    public $option_locations;

    public $custom_field_bank;
    public $custom_field_account;
    public $custom_field_company;
    public $custom_field_fiscal_code;
    public $custom_field_reg_number;

    public $auto_sync_options;
    public $sync_data_types;
    public $order_or_proforma_options;
    public $sync_stock_filter_options;
	public $option_with_discount;
    public function getAuthApiKey()
    {
        return $this->auth_api_key;
    }

    public function getAuthUsername()
    {
        return $this->auth_username;
    }

    public function getAuthPassword()
    {
        return hex2bin($this->auth_password);
    }

    public function getAuthFiscalCode()
    {
        return $this->auth_fiscal_code;
    }

    public function getOptionAutoStockSync()
    {
        return $this->option_auto_stock_sync;
    }

    public function getOptionAutoOrderSync()
    {
        return $this->option_auto_order_sync;
    }

    public function getOptionStockFilter()
    {
        return $this->option_stock_filter;
    }

    public function getOptionOrderOrProforma()
    {
        return $this->option_order_or_proforma;
    }

    public function getOptionProformaSerie()
    {
        return $this->option_proforma_serie;
    }

    public function getOptionOrderedDaysAgo()
    {
        return $this->option_ordered_days_ago;
    }

    public function getOptionLocations()
    {
        return $this->option_locations;
    }

    public function getCustomFieldBank()
    {
        return $this->custom_field_bank;
    }

    public function getCustomFieldAccount()
    {
        return $this->custom_field_account;
    }

    public function getCustomFieldCompany()
    {
        return $this->custom_field_company;
    }

    public function getCustomFieldFiscalCode()
    {
        return $this->custom_field_fiscal_code;
    }

    public function getCustomFieldRegNumber()
    {
        return $this->custom_field_reg_number;
    }

    public function setAuthApiKey($auth_api_key)
    {
        $this->auth_api_key = $auth_api_key;
    }

    public function setAuthUsername($auth_username)
    {
        $this->auth_username = $auth_username;
    }

    public function setAuthPassword($auth_password)
    {
        $this->auth_password = $auth_password;
    }

    public function setAuthFiscalCode($auth_fiscal_code)
    {
        $this->auth_fiscal_code = $auth_fiscal_code;
    }

    public function setOptionAutoStockSync($option_auto_stock_sync)
    {
        $this->option_auto_stock_sync = $option_auto_stock_sync;
    }

    public function setOptionAutoOrderSync($option_auto_order_sync)
    {
        $this->option_auto_order_sync = $option_auto_order_sync;
    }

    public function setOptionStockFilter($option_stock_filter)
    {
        $this->option_stock_filter = $option_stock_filter;
    }

    public function setOptionOrderOrProforma($option_order_or_proforma)
    {
        $this->option_order_or_proforma = $option_order_or_proforma;
    }

    public function setOptionProformaSerie($option_proforma_serie)
    {
        $this->option_proforma_serie = $option_proforma_serie;
    }

    public function setOptionOrderedDaysAgo($option_ordered_days_ago)
    {
        $this->option_ordered_days_ago = $option_ordered_days_ago;
    }

    public function setOptionLocations($option_locations)
    {
        $this->option_locations = $option_locations;
    }

    public function setCustomFieldBank($custom_field_bank)
    {
        $this->custom_field_bank = $custom_field_bank;
    }

    public function setCustomFieldAccount($custom_field_account)
    {
        $this->custom_field_account = $custom_field_account;
    }

    public function setCustomFieldCompany($custom_field_company)
    {
        $this->custom_field_company = $custom_field_company;
    }

    public function setCustomFieldFiscalCode($custom_field_fiscal_code)
    {
        $this->custom_field_fiscal_code = $custom_field_fiscal_code;
    }

    public function setCustomFieldRegNumber($custom_field_reg_number)
    {
        $this->custom_field_reg_number = $custom_field_reg_number;
    }

    public function getAutoSyncOptions()
    {
        return $this->auto_sync_options;
    }

    public function setAutoSyncOptions($auto_sync_options)
    {
        $this->auto_sync_options = $auto_sync_options;
    }

    public function getOrderOrProformaOptions()
    {
        return $this->order_or_proforma_options;
    }

    public function setOrderOrProformaOptions($order_or_proforma_options)
    {
        $this->order_or_proforma_options = $order_or_proforma_options;
    }

    public function getSyncDataTypes()
    {
        return $this->sync_data_types;
    }

    public function setSyncDataTypes($sync_data_types)
    {
        $this->sync_data_types = $sync_data_types;
    }

    public function getSyncStockFilterOptions()
    {
        return $this->sync_stock_filter_options;
    }

    public function setSyncStockFilterOptions($sync_stock_filter_options)
    {
        $this->sync_stock_filter_options = $sync_stock_filter_options;
    }

	public function getOptionWithDiscount()
    {
        return $this->option_with_discount;
    }

    public function setOptionWithDiscount($option_with_discount)
    {
        $this->option_with_discount = $option_with_discount;
    }

}

   
    

