<html>
  <head>
    <title><?php echo $title;?></title>
    <link rel="stylesheet" href="View/css/main.css">
    <link rel="stylesheet" href="View/css/form.css">
    <link rel="stylesheet" href="View/vanillajs-datepicker/dist/css/datepicker.min.css">
    <link rel="stylesheet" href="View/vanillajs-datepicker/dist/css/datepicker-bs4.min.css">
  </head>
  <body>

    <div class="facturis-online-sync">
      <h1><?php echo $title;?></h1>
      <h2><?php echo $description; ?></h2>

      <div class="facturis-online-sync-container">

      <?php if($show_tutorial): ?>
        <div class="alert info">
        <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
          <div style="text-align: center; font-size: 16px; margin-bottom: 22px;margin-top: 8px;"><?php echo $tutorial_title; ?></div>
          <ol><div style="margin-bottom: 17px;"><?php echo $tutorial_p; ?>:</div>
            <li><?php echo $tutorial_1; ?></li>
            <li><?php echo $tutorial_2; ?></li>
            <li><?php echo $tutorial_3; ?></li>
            <li><?php echo $tutorial_4; ?></li>
          </ol>
        </div>
      <?php endif; ?>

      <div class="alert success hide-element" id="alert-sync">
        <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
        <?php echo $sync_please_wait; ?> <img class="spinner" src="View/img/loader.gif"/>
      </div>
    
      <?php if(isset($success) && !empty($success)): ?>
        <div class="alert success alert-box">
          <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
          <?php echo $success;?>
        </div>
      <?php endif; ?>

      <?php if(isset($error) && !empty($error)): ?>
        <div class="alert alert-box">
          <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
          <?php echo $error;?>
        </div>
      <?php endif; ?>

        <!--
        <div class="alert">
          <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
          <strong>Danger!</strong> Indicates a dangerous or potentially negative action.
        </div>

        <div class="alert success">
          <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
          <strong>Success!</strong> Indicates a successful or positive action.
        </div>

        <div class="alert info">
          <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
          <strong>Info!</strong> Indicates a neutral informative change or action.
        </div>

        <div class="alert warning">
          <span class="closebtn" onclick="this.parentElement.style.display = 'none';">&times;</span>  
          <strong>Warning!</strong> Indicates a warning that might need attention.
        </div> -->


        <div class="facturissynctab-wrap">

          <input type="radio" id="facturissynctab1" name="facturissynctabGroup1" class="facturissynctab" checked>
          <label for="facturissynctab1"><?php echo $tab_name_1;?></label>

          <input type="radio" id="facturissynctab2" name="facturissynctabGroup1" class="facturissynctab">
          <label for="facturissynctab2"><?php echo $tab_name_2;?></label>

          <input type="radio" id="facturissynctab3" name="facturissynctabGroup1" class="facturissynctab">
          <label for="facturissynctab3"><?php echo $tab_name_3;?></label>

          <input type="radio" id="facturissynctab4" name="facturissynctabGroup1" class="facturissynctab">
          <label for="facturissynctab4"><?php echo $tab_name_4;?></label>

          <input type="radio" id="facturissynctab5" name="facturissynctabGroup1" class="facturissynctab">
          <label for="facturissynctab5"><?php echo $tab_name_5;?></label>

          <div class="facturissynctab__content">
            <?php include_once('tab1.php')?>
          </div>

          <div class="facturissynctab__content">
            <?php include_once('tab2.php')?>
          </div>

          <div class="facturissynctab__content">
            <?php include_once('tab3.php')?>
          </div>

          <div class="facturissynctab__content">
            <?php include_once('tab4.php')?>
          </div>

          <div class="facturissynctab__content">
            <?php include_once('tab5.php')?>
          </div>

        </div>

      </div>
      <p style="text-align: center;"><a href="<?php echo $version_link; ?>" target="_blank" ><?php echo $version_text; ?>: <?php echo $version_number; ?></a></p>
      <div style="text-align:center">
        <small>
          <a href="javascript: void(0)" style="color:#528ecc !important" onclick="checkLatestVersion();" ><?php echo $check_latest_version; ?></a>
        </small>
      </div>
      <p style="text-align: center;" id="check_latest_version_result"></p>
    </div>
    <script type="text/javascript" src="View/js/tab1.js"></script>
    <script type="text/javascript" src="View/js/tab2.js"></script>
    <script type="text/javascript" src="View/js/tab3.js"></script>
    <script type="text/javascript" src="View/js/tab4.js"></script>
    <script type="text/javascript" src="View/js/tab5.js"></script>
    <script type="text/javascript" src="View/vanillajs-datepicker/dist/js/datepicker-full.min.js"></script>
    <script>
      getPdlGestiuni();
      showOrHideProformaSerie();

      const elem = document.getElementById('datepicker-container');
      const rangepicker = new DateRangePicker(elem, {
        autohide: true,
        todayHighlight :true,
        maxDate : 'today',
        format: 'dd.mm.yyyy',
        clearBtn: true,
        daysOfWeekHighlighted: [0,6],
        defaultViewDate: 'today'
      }); 

      document.getElementById('input-date-start').value = '';
      
    </script>
  </body>
<html>